<?
//-----------------------------------------------------------------------------------------------------------------------------------------
//	VARIABLES A MODIFIER
//	(VARS TO MODIFY)
//-----------------------------------------------------------------------------------------------------------------------------------------

// URL DANS LEQUEL VOUS INSTALLEZ WebJeff-Filemanager (ne mettez pas de /  la fin)
// (URL WHERE WebJeff-Filemanager WILL BE INSTALLED, (do not left the trailing slash) */

$installurl="http://jeffgazet.free.fr/filemanager";

// LANGUE (LANGUAGE)
// French : fr
// English : en
// Poland : pl
// Slovak : sk
// Italian : it
// Deutch : de 
// Estonian : ee 
// Chinese : cn
// Lithuanian : lt

$langage="fr";

// UNITE DE TAILLE DES FICHIER (octets "o", bytes "b")
// (Unit of file size, "o" or "b")

$size_unit="o";

// NOMBRE DE CARACTERES MAXIMUM POUR LES NOMS DE FICHIER
// (max number chars for file and directory names)

$max_caracteres=30;

// PAGES D'ENTETE ET DE BAS DE PAGE
// (header and footer files )

$hautpage="haut.htm";
$baspage="bas.htm";

// MESSAGE DE CONFIRMATION APRES LES ACTIONS (copier, effacer...)  METTEZ "oui" POUR L'AFFICHER, OU "non" SINON.
// (confirmation message, if you want to read it after any action (copy,delete,edit...) put "oui", otherwise "no"

$verbose="non";

// Couleur de fond des lignes de tableaux
// (background color of table lines)

$tablecolor="#9999FF";

// Police des caractres (letters font)

$font="Verdana";

// Gestion d'utilisateur : OUI=1, NON=0
// SI VOUS METTEZ 0, TOUT LE MONDE AURA ACCES AU WEBJEFF-FILEMANAGER,
// INDIQUEZ DANS CE CAS, LE REPERTOIRE RACINE ($racine), L'URL DU REPERTOIRE RACINE ($url_racine) ET RETIREZ LES // (cf. FAQ)
// (Users management : YES = 1, NO=0)
// IF YOU SET 0, EVERYBODY WILL BE ABLE TO USE THIS SCRIPT WITHOUT LOGIN, 
// IN THAT CASE, SET THE ROOT PATH ($racine), THE URL OF THIS ROOT PATH ($url_racine) AND REMOVE THE // (see FAQ for more)

$users=1;
//$racine="/var/www/free.fr/1/j/e/f/f/jeffgazet/filemanager/demo";
//$url_racine="http://jeffgazet.free.fr/filemanager/demo";

//-----------------------------------------------------------------------------------------------------------------------------------------
//	FIN DES VARIABLES A MODIFIER / NE PAS MODIFIER LES LIGNES SUIVANTES
//	(END VARS TO MODIFY / DO NOT MODIFY BELOW)
//-----------------------------------------------------------------------------------------------------------------------------------------

//-----------------------------------------------------------------------------------------------------------------------------------------
//	FONCTIONS
//-----------------------------------------------------------------------------------------------------------------------------------------

function connecte($id)
	{
	global $installurl,$users,$HTTP_REFERER;
	$retour=0;
	if($users==0) {$retour=1;}
	else if($id!="")
		{
		if(file_exists("logs/$id.php3")) {$retour=1;}
		if(!eregi("$installurl",$HTTP_REFERER)) {$retour=0;}		
		}
	
	return $retour;
	}

function creer_id($chemin,$url,$user)
	{
	global $id;
	$taille = 20;
	$lettres = "abcdefghijklmnopqrstuvwxyz0123456789";
	srand(time());
	for ($i=0;$i<$taille;$i++)
		{
		$id .= substr($lettres,(rand()%(strlen($lettres))),1);
	        	}		
	if(ereg("\\\\",$chemin)){$slash="\\";} 	else {$slash="/";}
	$fp=fopen("logs".$slash.$id.".php3","w");
	fputs($fp,"<? \$racine=\"$chemin\"; \$url_racine=\"$url\"; \$user=\"$user\"; ?>");
	fclose($fp);
	}

function taille($fichier)
	{
	global $size_unit;
	$taille=filesize($fichier);
	if ($taille >= 1073741824) {$taille = round($taille / 1073741824 * 100) / 100 . " G".$size_unit;}
	elseif ($taille >= 1048576) {$taille = round($taille / 1048576 * 100) / 100 . " M".$size_unit;}
	elseif ($taille >= 1024) {$taille = round($taille / 1024 * 100) / 100 . " K".$size_unit;}
	else {$taille = $taille . " ".$size_unit;} 
	if($taille==0) {$taille="-";}
	return $taille;
	}

function date_modif($fichier)
	{
	$tmp = filemtime($fichier);
	return date("d/m/Y H:i",$tmp);
	}

function mimetype($fichier,$quoi)
	{
	global $mess;
	if(is_dir($fichier)){$image="dossier.gif";$nom_type=$mess[8];}
	else if(eregi("\.mid$",$fichier)){$image="mid.gif";$nom_type=$mess[9];}
	else if(eregi("\.txt$",$fichier)){$image="txt.gif";$nom_type=$mess[10];}
	else if(eregi("\.js$",$fichier)){$image="js.gif";$nom_type=$mess[11];}
	else if(eregi("\.gif$",$fichier)){$image="gif.gif";$nom_type=$mess[12];}
	else if(eregi("\.jpg$",$fichier)){$image="jpg.gif";$nom_type=$mess[13];}
	else if(eregi("\.html$",$fichier)){$image="html.gif";$nom_type=$mess[14];}
	else if(eregi("\.htm$",$fichier)){$image="html.gif";$nom_type=$mess[15];}
	else if(eregi("\.rar$",$fichier)){$image="rar.gif";$nom_type=$mess[60];}
	else if(eregi("\.gz$",$fichier)){$image="zip.gif";$nom_type=$mess[61];}
	else if(eregi("\.ra$",$fichier)){$image="ram.gif";$nom_type=$mess[16];}
	else if(eregi("\.ram$",$fichier)){$image="ram.gif";$nom_type=$mess[17];}
	else if(eregi("\.rm$",$fichier)){$image="ram.gif";$nom_type=$mess[17];}
	else if(eregi("\.pl$",$fichier)){$image="pl.gif";$nom_type=$mess[18];}
	else if(eregi("\.zip$",$fichier)){$image="zip.gif";$nom_type=$mess[19];}
	else if(eregi("\.wav$",$fichier)){$image="wav.gif";$nom_type=$mess[20];}
	else if(eregi("\.php$",$fichier)){$image="php.gif";$nom_type=$mess[21];}
	else if(eregi("\.php3$",$fichier)){$image="php.gif";$nom_type=$mess[22];}
	else if(eregi("\.exe$",$fichier)){$image="exe.gif";$nom_type=$mess[50];}
	else if(eregi("\.bmp$",$fichier)){$image="bmp.gif";$nom_type=$mess[56];}
	else if(eregi("\.png$",$fichier)){$image="gif.gif";$nom_type=$mess[57];}
	else if(eregi("\.css$",$fichier)){$image="css.gif";$nom_type=$mess[58];}
	else if(eregi("\.mp3$",$fichier)){$image="mp3.gif";$nom_type=$mess[59];}
	else if(eregi("\.xls$",$fichier)){$image="xls.gif";$nom_type=$mess[64];}
	else if(eregi("\.doc$",$fichier)){$image="doc.gif";$nom_type=$mess[65];}
	else if(eregi("\.pdf$",$fichier)){$image="pdf.gif";$nom_type=$mess[79];}
	else if(eregi("\.mov$",$fichier)){$image="mov.gif";$nom_type=$mess[80];}
	else if(eregi("\.avi$",$fichier)){$image="avi.gif";$nom_type=$mess[81];}
	else if(eregi("\.mpg$",$fichier)){$image="mpg.gif";$nom_type=$mess[82];}
	else if(eregi("\.mpeg$",$fichier)){$image="mpeg.gif";$nom_type=$mess[83];}
	else {$image="defaut.gif";$nom_type=$mess[23];}
	if($quoi=="image"){return $image;} else {return $nom_type;}
	}

function slash()
	{
	global $racine;
	if(ereg("\\\\",$racine)){$slash="\\";}
	else {$slash="/";}
	return $slash;
	}

function init($rep)
	{
	global $racine,$sens,$mess,$font;
	if($rep==""){$nom_rep=$racine;}
	if($sens==""){$sens=1;}
	else
		{
		if($sens==1){$sens=0;}else{$sens=1;}	
		}	
	if($rep!=""){$rep=stripslashes($rep);$nom_rep=$racine.slash().$rep;}
	if(!file_exists($racine)) {echo "<font face=\"$font\" size=\"2\">$mess[72]</font>\n";exit;}
	if(!is_dir($nom_rep)) {echo "<font face=\"$font\" size=\"2\">$mess[76]<br><br><a href=\"javascript:window.history.back()\">$mess[32]</a></font>\n";exit;}
	return $nom_rep;
	}

function assemble_tableaux($t1,$t2)
	{
	global $sens;
	if($sens==0) {$tab1=$t1; $tab2=$t2;} else {$tab1=$t2; $tab2=$t1;}
	if(is_array($tab1)) {while (list($cle,$val) = each($tab1)) {$liste[$cle]=$val;}}
	if(is_array($tab2)) {while (list($cle,$val) = each($tab2)) {$liste[$cle]=$val;}}
	return $liste;
	}

function listing($nom_rep)
	{
	global $sens,$ordre;
	$handle=opendir($nom_rep);
	while ($fichier = readdir($handle))
		{
		if($fichier!="." && $fichier!="..") 
			{		
			if(is_dir($nom_rep.slash().$fichier)) 
				{
				if($ordre=="mod") {$liste_rep[$fichier]=filemtime($nom_rep.slash().$fichier);}
				else {$liste_rep[$fichier]=$fichier;}
				}
			else
				{
				if($ordre=="nom") {$liste_fic[$fichier]=mimetype($nom_rep.slash().$fichier,"image");}
				else if($ordre=="taille") {$liste_fic[$fichier]=filesize($nom_rep.slash().$fichier);}
				else if($ordre=="mod") {$liste_fic[$fichier]=filemtime($nom_rep.slash().$fichier);}
				else if($ordre=="type") {$liste_fic[$fichier]=mimetype($nom_rep.slash().$fichier,"type");}
				else {$liste_fic[$fichier]=mimetype($nom_rep.slash().$fichier,"image");}
				}
			}
		}
	closedir($handle);
	
	if(is_array($liste_fic)) 
		{
		if($ordre=="nom") {if($sens==0){ksort($liste_fic);}else{krsort($liste_fic);}}
		else if($ordre=="mod") {if($sens==0){arsort($liste_fic);}else{asort($liste_fic);}}
		else if($ordre=="taille"||$ordre=="type") {if($sens==0){asort($liste_fic);}else{arsort($liste_fic);}}
		else {if($sens==0){ksort($liste_fic);}else{krsort($liste_fic);}}
		}
	if(is_array($liste_rep)) 
		{
		if($ordre=="mod") {if($sens==0){arsort($liste_rep);}else{asort($liste_rep);}}
		else {if($sens==0){ksort($liste_rep);}else{krsort($liste_rep);}}
		}
	
	$liste=assemble_tableaux($liste_rep,$liste_fic);
	return $liste;	
	}

function lister_rep($nom_rep)
	{
	// $rep,$sens passes dans l'url
	global $rep,$url_racine,$racine,$mess,$sens,$user,$users,$id,$font,$tablecolor,$ordre;
	if(eregi("\.\.",$rep)) {$rep="";}
	$nom_rep=init($rep);
	$base_nom_rep=str_replace($racine,"",$nom_rep);
	if($base_nom_rep==""){$base_nom_rep=slash();}
	$rep=stripslashes($rep);
		
	// AFFICHAGE DU REPERTOIRE COURANT ET RACINE
	if($sens==1){$sens=0;}else{$sens=1;}
	echo "<table width=\"95%\"><tr><td><img src=\"images/dossier.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\"><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&ordre=$ordre&sens=$sens\"><b>$user</b></a>$base_nom_rep</font></td>";
	echo "<td align=\"right\"><a href=\"javascript:location.reload()\"><img src=\"images/refresh.gif\" alt=\"$mess[85]\" border=\"0\"></a>&nbsp;&nbsp;\n";
	echo "<a href=\"index.php3?action=aide&id=$id&ordre=$ordre&sens=$sens\"><img src=\"images/help.gif\" alt=\"$mess[84]\" border=\"0\"></a>&nbsp;&nbsp;\n";
	if($users==1) {echo "<a href=\"index.php3?action=deconnexion&id=$id\"><img src=\"images/disconnect.gif\" alt=\"$mess[63]\" border=\"0\"></a>";}
	echo "</td></tr></table><br>\n";
	if($sens==1){$sens=0;}else{$sens=1;}
	
	echo "<TABLE width=\"95%\" cellspacing=\"0\"><tr><td colspan=\"5\">
	<TABLE width=\"100%\" border=\"1\" cellspacing=\"0\"><tr bgcolor=\"$tablecolor\">\n";

	// PREMIERE LIGNE DU TABLEAU : Nom du fichier / Taille / Type / Modifi le / Actions
	if($rep!=""){$lien="&rep=".$rep;}
	
	echo "<td><b><a href=\"index.php3?id=$id&ordre=nom&sens=$sens".$lien."\"><font face=\"$font\" size=\"2\">$mess[1]</font></a>";
	if($ordre=="nom"||$ordre=="") {echo "&nbsp;&nbsp;<img src=\"images/fleche${sens}.gif\" width=\"10\" height=\"10\">";}
	echo "</b></td>\n";
	echo"<td width=\"10%\"><b><a href=\"index.php3?id=$id&ordre=taille&sens=$sens".$lien."\"><font face=\"$font\" size=\"2\">$mess[2]</font></a>";
	if($ordre=="taille") {echo "&nbsp;&nbsp;<img src=\"images/fleche${sens}.gif\" width=\"10\" height=\"10\">";}
	echo "</b></td>\n";
	echo "<td width=\"20%\"><b><a href=\"index.php3?id=$id&ordre=type&sens=$sens".$lien."\"><font face=\"$font\" size=\"2\">$mess[3]</font></a>";
	if($ordre=="type") {echo "&nbsp;&nbsp;<img src=\"images/fleche${sens}.gif\" width=\"10\" height=\"10\">";}
	echo "</b></td>\n";	
	echo "<td width=\"17%\"><b><a href=\"index.php3?id=$id&ordre=mod&sens=$sens".$lien."\"><font face=\"$font\" size=\"2\">$mess[4]</font></a>\n";
	if($ordre=="mod") {echo "&nbsp;&nbsp;<img src=\"images/fleche${sens}.gif\" width=\"10\" height=\"10\">";}
	echo "</b></td>\n";	
	echo "<td width=\"18%\"><b><font face=\"$font\" size=\"2\">$mess[5]</font></b></td>\n";	
	echo "</tr></table></td></tr>\n";

	if($sens==1){$sens=0;}else{$sens=1;}
	
	// LIEN DOSSIER PARENT
	if($rep!="")
		{
		$nom=dirname($rep);
		echo "<tr><td><a href=\"index.php3?id=$id&sens=$sens&ordre=$ordre";
		if($rep!=$nom){echo "&rep=$nom";}
		echo "\"><img src=\"images/parent.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\" border=\"0\"><font face=\"$font\" size=\"2\">$mess[24]</font></a></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
		}
		
	// LECTURE DU REPERTOIRE ET CLASSEMENT DES FICHIERS
	$liste=listing($nom_rep);
		
	// AFFICHAGE
	if(is_array($liste))
		{
		while (list($fichier,$mime) = each($liste))
			{
			// DEFINITION DU LIEN SUR LE FICHIER
			if(is_dir($nom_rep.slash().$fichier))
				{
				$lien="index.php3?id=$id&sens=$sens&ordre=$ordre&rep=";
				if($rep!=""){$lien.="$rep".slash();}
				$lien.=$fichier;
				$affiche_copier="non";
				}
			else 
				{
				$lien="$url_racine/";
				if($rep!=""){$lien.="$rep/";}
				$lien.="$fichier";
				$affiche_copier="oui";
				}
			
			// AFFICHAGE DE LA LIGNE
			echo "<tr>\n";
			echo "<td><font face=\"$font\" size=\"2\">\n";
			echo "<a href=\"$lien\"><img src=\"images/".mimetype($nom_rep.slash().$fichier,"image")."\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\" border=\"0\">";
			echo "$fichier</a>\n";
			echo "</font></td>\n";
			echo "<td width=\"10%\"><font face=\"$font\" size=\"1\">";
			echo taille($nom_rep.slash().$fichier);
			echo "</font></td>\n";
			echo "<td width=\"20%\"><font face=\"$font\" size=\"1\">";
			echo mimetype($nom_rep.slash().$fichier,"type");
			echo "</font></td>\n";			
			echo "<td width=\"16%\"><font face=\"$font\" size=\"1\">";
			echo date_modif($nom_rep.slash().$fichier);
			echo "</font></td>\n";
			echo "<td width=\"18%\">";
			
			// IMAGE COPIER
			if($affiche_copier=="oui")
				{
				echo "<a href=\"index.php3?id=$id&action=copier&sens=$sens&ordre=$ordre&rep=";if($rep!=""){echo "$rep&fic=$rep".slash();}else{echo "&fic=";}
				echo "$fichier\"><img src=\"images/copier.gif\" alt=\"$mess[66]\" width=\"20\" height=\"20\" border=\"0\"></a>\n";
				}
			else
				{
				echo "<img src=\"images/pixel.gif\" width=\"20\" height=\"20\">\n";
				}

			// IMAGE DEPLACER
			if($affiche_copier=="oui")
				{
				echo "<a href=\"index.php3?id=$id&action=deplacer&ordre=$ordre&sens=$sens&rep=";if($rep!=""){echo "$rep&fic=$rep".slash();}else{echo "&fic=";}
				echo "$fichier\"><img src=\"images/deplacer.gif\" alt=\"$mess[70]\" width=\"20\" height=\"20\" border=\"0\"></a>\n";
				 }
			else {echo "<img src=\"images/pixel.gif\" width=\"20\" height=\"20\">\n";}

			// IMAGE RENOMMER
			echo "<a href=\"index.php3?id=$id&ordre=$ordre&sens=$sens&action=rename&rep=";if($rep!=""){echo "$rep&fic=$rep".slash();}else{echo "&fic=";}
			echo "$fichier\"><img src=\"images/renommer.gif\" alt=\"$mess[6]\" width=\"20\" height=\"20\" border=\"0\"></a>\n";
			
			// IMAGE SUPPRIMER
			echo "<a href=\"index.php3?id=$id&action=supprimer&ordre=$ordre&sens=$sens&rep=";if($rep!=""){echo "$rep&fic=$rep".slash();}else{echo "&fic=";}
			echo "$fichier\"><img src=\"images/supprimer.gif\" alt=\"$mess[7]\" width=\"20\" height=\"20\" border=\"0\"></a>\n";

			// IMAGE EDITER
			if(eregi("\.txt$|\.php$|\.php3$|\.htm$|\.html$|\.cgi$|\.pl$|\.js$|\.css$",$fichier) && !is_dir($racine.slash().$fichier))
				{
				echo "<a href=\"index.php3?id=$id&ordre=$ordre&sens=$sens&action=editer&rep=";if($rep!=""){echo "$rep&fic=$rep".slash();}else{echo "&fic=";}
				echo "$fichier\"><img src=\"images/editer.gif\" alt=\"$mess[51]\" width=\"20\" height=\"20\" border=\"0\"></a>\n";
				}
			
			echo "</td>\n";				
			echo "</tr>\n";
			}
		}
	echo "</table>\n<hr width=\"95%\" align=\"center\"><br>";		
	}

function deldir($location) 
	{ 
	if(is_dir($location))
		{
		$all=opendir($location); 
		while ($file=readdir($all)) 
			{ 
			if (is_dir($location.slash().$file) && $file <> ".." && $file <> ".") 
				{ 
				deldir($location.slash().$file); 
				if(file_exists($location.slash().$file)){rmdir($location.slash().$file); }
				unset($file); 
				}
			elseif (!is_dir($location.slash().$file))
				{ 
				unlink($location.slash().$file); 
				unset($file); 
				} 
			} 
		closedir($all);
		rmdir($location);
		}
	else 
		{
		unlink($location);
		}
	}

function enlever_controlM($fichier)
	{
	$fic=file($fichier);
	$fp=fopen($fichier,"w");
	while (list ($cle, $val) = each ($fic)) 
		{
		$val=str_replace(CHR(10),"",$val);
		$val=str_replace(CHR(13),"",$val);
		fputs($fp,"$val\n");
		}
	fclose($fp);
	}

function traite_nom_fichier($nom)
	{
	global $max_caracteres;
	$nom=stripslashes($nom);
	$nom=str_replace("'","",$nom);
	$nom=str_replace("\"","",$nom);
	$nom=str_replace("\"","",$nom);
	$nom=str_replace("&","",$nom);
	$nom=str_replace(",","",$nom);
	$nom=str_replace(";","",$nom);
	$nom=str_replace("/","",$nom);
	$nom=str_replace("\\","",$nom);
	$nom=str_replace("`","",$nom);
	$nom=str_replace("<","",$nom);
	$nom=str_replace(">","",$nom);
	$nom=str_replace(" ","_",$nom);
	$nom=str_replace(":","",$nom);
	$nom=str_replace("*","",$nom);
	$nom=str_replace("|","",$nom);
	$nom=str_replace("?","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("@","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("!","",$nom);
	$nom=str_replace("","",$nom);
	$nom=str_replace("+","",$nom);
	$nom=str_replace("^","",$nom);
	$nom=str_replace("(","",$nom);
	$nom=str_replace(")","",$nom);
	$nom=str_replace("#","",$nom);
	$nom=str_replace("=","",$nom);
	$nom=str_replace("$","",$nom);	
	$nom=str_replace("%","",$nom);
	$nom = substr ($nom,0,$max_caracteres);
 	return $nom;
 	}


//-----------------------------------------------------------------------------------------------------------------------------------------
//	MAIN
//-----------------------------------------------------------------------------------------------------------------------------------------

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
require("lib/${langage}.php3");
if(file_exists("logs/$id.php3")) {include("logs/$id.php3");}
switch($action) {


//-----------------------------------------------------------------------------------------------------------------------------------------
//	AIDE / HELP
//-----------------------------------------------------------------------------------------------------------------------------------------

case "aide";
include($hautpage);

// AFFICHAGE DU REPERTOIRE COURANT ET RACINE
echo "<table width=\"95%\"><tr><td><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&ordre=$ordre&sens=$sens\"><b>$mess[32]</b></a></font></td>";
echo "<td align=\"right\"><a href=\"javascript:location.reload()\"><img src=\"images/refresh.gif\" alt=\"$mess[85]\" border=\"0\"></a>&nbsp;&nbsp;\n";
echo "<img src=\"images/help.gif\" alt=\"$mess[84]\">&nbsp;&nbsp;\n";
if($users==1) {echo "<a href=\"index.php3?action=deconnexion&id=$id\"><img src=\"images/disconnect.gif\" alt=\"$mess[63]\" border=\"0\"></a>";}
echo "</td></tr></table><br>\n";

// FICHIER D'AIDE
include("lib/${langage}_help.htm");
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	EDITER / EDIT
//-----------------------------------------------------------------------------------------------------------------------------------------

case "editer";
if(!connecte($id)) {header("Location:index.php3");exit;}
include($hautpage);
echo "<center>\n";
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$code=stripslashes($code);
echo "<script language=\"javascript\">
function retour()
	{
	window.history.back();
	}
</script>\n";
echo "<font face=\"$font\" size=\"2\">
<form action=\"index.php3\" method=\"post\">
<input type=\"hidden\" name=\"action\" value=\"editer_suite\">
<input type=\"hidden\" name=\"id\" value=\"$id\">";
echo "<input type=\"hidden\" name=\"fic\" value=\"$fic\">\n";
echo "<input type=\"hidden\" name=\"rep\" value=\"$rep\">\n";
echo "<input type=\"hidden\" name=\"ordre\" value=\"$ordre\">\n";
echo "<input type=\"hidden\" name=\"sens\" value=\"$sens\">\n";
echo "$mess[52] <b>$fic</b><br>";
echo "<TEXTAREA NAME=\"code\" rows=\"20\" cols=\"80\" wrap=\"OFF\">\n";
$fp=fopen($racine.slash().$fic,"r");
while (!feof($fp)) 
	{ 
	$tmp=fgets($fp,4096);
	$tmp=str_replace("<","&lt;",$tmp);
	echo "$tmp";
	}
fclose($fp);
echo "$fichier";
echo "</TEXTAREA>\n";
echo "<br><br><input type=\"submit\" value=\"$mess[53]\">\n";
echo "&nbsp;&nbsp;<input type=\"button\" value=\"$mess[54]\" onClick=\"javascript:retour()\">\n";
echo "</form></font>";
echo "</center>\n";
break;

case "editer_suite";
if(!connecte($id)) {header("Location:index.php3");exit;}
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$code=stripslashes($code);
$code=str_replace("&lt;","<",$code);
$fp=fopen($racine.slash().$fic,"w");
fputs ($fp,$code);
fclose($fp);
enlever_controlM($racine.slash().$fic);
if($verbose=="non") {header("Location:index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens");exit;}
include($hautpage);
echo "<center>\n";
echo "<font face=\"$font\" size=\"2\">";
echo "$mess[34] <b>$fic</b> $mess[55]";
echo "<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";	
echo "</font>";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	COPIER / COPY
//-----------------------------------------------------------------------------------------------------------------------------------------

case "copier";
if(!connecte($id)) {header("Location:index.php3");exit;}
include($hautpage);
echo "<center>\n";

$rep=stripslashes($rep);
$fic=stripslashes($fic);
if(!isset($dest)) {$dest=$rep;}
$dest=str_replace("\\\\","\\",$dest);

echo "<table>\n";
echo "<tr><td><font face=\"$font\" size=\"2\"><img src=\"images/copier.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\"> $mess[67] : </font></td><td><font face=\"$font\" size=\"2\"><b>$fic</b></font></td></tr>\n";
echo "<tr><td><font face=\"$font\" size=\"2\"><img src=\"images/coller.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\"> $mess[68] : </font></td><td><font face=\"$font\" size=\"2\">";
if($dest=="") {echo "/";} else {echo "$dest";}
echo "</font></td></tr>\n";
echo "</table>\n";

echo "<br><font face=\"$font\" size=\"2\">$mess[69] :</font><br>\n";

echo "<table>";
$handle=opendir($racine.slash().$dest);
while ($fichier = readdir($handle))
	{
	if($fichier=="..")
		{
		$up=dirname($dest);
		if($up==$dest) {$up="";}
		if($up!=$dest) 
			{
			echo "<td><img src=\"images/parent.gif\"></td><td><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&action=copier&ordre=$ordre&sens=$sens&dest=$up&fic=$fic&rep=$rep\">$mess[24]</font></td>";
			}
		}	
	else if(is_dir("$racine".slash()."$dest/$fichier") && $fichier!=".") {$liste_dir[]=$fichier;}
	}
closedir($handle);
if(is_array($liste_dir)) 
	{
	asort($liste_dir);
	while (list($cle,$val) = each($liste_dir))
		{
		echo "<tr><td><img src=\"images/dossier.gif\"></td><td><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&action=copier&dest=";
		if($dest!="") {echo "$dest".slash();}
		echo "$val&rep=$rep&ordre=$ordre&sens=$sens&fic=$fic\">$val</a></font></tr>\n";		
		}	
	}
echo "</table><br>";

echo "<table>
	<tr>
	   <td>
	      <form action=\"index.php3\" method=\"post\">
	      <input type=\"hidden\" name=\"action\" value=\"copier_suite\">	
	      <input type=\"hidden\" name=\"fic\" value=\"$fic\">
	      <input type=\"hidden\" name=\"dest\" value=\"$dest\">			
	      <input type=\"hidden\" name=\"rep\" value=\"$rep\">	
	      <input type=\"hidden\" name=\"id\" value=\"$id\">
	      <input type=\"hidden\" name=\"sens\" value=\"$sens\">
	      <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">	      
	      <input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;ok&nbsp;&nbsp;\">&nbsp;
	      </form>
	   </td>
	   <td>
	      <form action=\"index.php3\" method=\"post\">
	      <input type=\"hidden\" name=\"id\" value=\"$id\">
	      <input type=\"hidden\" name=\"rep\" value=\"$rep\">
	      <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	      <input type=\"hidden\" name=\"sens\" value=\"$sens\">
	      <input type=\"submit\" value=\"Annuler\">
	      </form>
	   </td>
	</tr>
	</table>";
echo "</center>\n";	
break;

case "copier_suite";
if(!connecte($id)) {header("Location:index.php3");exit;}
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$dest=stripslashes($dest);
$destination=$racine.slash();
if($dest!="") {$destination.=$dest.slash();}
$destination.=basename($fic);
copy($racine.slash().$fic,$destination);
if($verbose=="non") {header("Location:index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens");exit;}
include($hautpage);
echo "<center>\n";
echo "<font face=\"$font\" size=\"2\">\n";
echo "$mess[34] <b>$fic</b> $mess[73] <b>";
if($dest=="") {echo "/";} else {echo "$dest";}
echo "</b>\n";
echo "<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a><br><br>\n";
echo "</font>\n";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	DEPLACER / MOVE
//-----------------------------------------------------------------------------------------------------------------------------------------

case "deplacer";
if(!connecte($id)) {header("Location:index.php3");exit;}
include($hautpage);
echo "<center>\n";

$rep=stripslashes($rep);
$fic=stripslashes($fic);
if(!isset($dest)) {$dest=$rep;}
$dest=str_replace("\\\\","\\",$dest);

echo "<table>\n";
echo "<tr><td><font face=\"$font\" size=\"2\"><img src=\"images/couper.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\"> $mess[67] : </font></td><td><font face=\"$font\" size=\"2\"><b>$fic</b></font></td></tr>\n";
echo "<tr><td><font face=\"$font\" size=\"2\"><img src=\"images/coller.gif\" width=\"20\" height=\"20\" align=\"ABSMIDDLE\"> $mess[68] : </font></td><td><font face=\"$font\" size=\"2\">";
if($dest=="") {echo "/";} else {echo "$dest";}
echo "</font></td></tr>\n";
echo "</table>\n";

echo "<br><font face=\"$font\" size=\"2\">$mess[69] :</font><br>\n";

echo "<table>";
$handle=opendir($racine.slash().$dest);
while ($fichier = readdir($handle))
	{
	if($fichier=="..")
		{
		$up=dirname($dest);
		if($up==$dest) {$up="";}
		if($up!=$dest) 
			{
			echo "<td><img src=\"images/parent.gif\"></td><td><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&ordre=$ordre&sens=$sens&action=deplacer&dest=$up&fic=$fic&rep=$rep\">$mess[24]</font>";
			}
		}	
	else if(is_dir("$racine".slash()."$dest/$fichier") && $fichier!=".") {$liste_dir[]=$fichier;}
	}
closedir($handle);
if(is_array($liste_dir)) 
	{
	asort($liste_dir);
	while (list($cle,$val) = each($liste_dir))
		{
		echo "<tr><td><img src=\"images/dossier.gif\"></td><td><font face=\"$font\" size=\"2\"><a href=\"index.php3?id=$id&action=deplacer&dest=";
		if($dest!="") {echo "$dest".slash();}
		echo "$val&rep=$rep&ordre=$ordre&sens=$sens&fic=$fic\">$val</a></font></tr>\n";		
		}	
	}
echo "</table><br>";

echo "<table>
	<tr>
	   <td>
	      <form action=\"index.php3\" method=\"post\">
	      <input type=\"hidden\" name=\"action\" value=\"deplacer_suite\">	
	      <input type=\"hidden\" name=\"fic\" value=\"$fic\">
	      <input type=\"hidden\" name=\"dest\" value=\"$dest\">			
	      <input type=\"hidden\" name=\"rep\" value=\"$rep\">	
	      <input type=\"hidden\" name=\"id\" value=\"$id\">
	      <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	      <input type=\"hidden\" name=\"sens\" value=\"$sens\">
	      <input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;ok&nbsp;&nbsp;\">&nbsp;
	      </form>
	   </td>
	   <td>
	      <form action=\"index.php3\" method=\"post\">
	      <input type=\"hidden\" name=\"id\" value=\"$id\">
	      <input type=\"hidden\" name=\"rep\" value=\"$rep\">
	      <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	      <input type=\"hidden\" name=\"sens\" value=\"$sens\">	      
	      <input type=\"submit\" value=\"Annuler\">
	      </form>
	   </td>
	</tr>
	</table>";
echo "</center>\n";
break;

case "deplacer_suite";
if(!connecte($id)) {header("Location:index.php3");exit;}
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$dest=stripslashes($dest);
$destination=$racine.slash();
if($dest!="") {$destination.=$dest.slash();}
$destination.=basename($fic);
if(file_exists($racine.slash().$fic)) {copy($racine.slash().$fic,$destination);}
if($racine.slash().$fic!=$destination) {if(file_exists($racine.slash().$fic)) {unlink($racine.slash().$fic);}}
if($verbose=="non") {header("Location:index.php3?rep=$rep&ordre=$ordre&sens=$sens&id=$id");exit;}
include($hautpage);
echo "<center>\n";
echo "<font face=\"$font\" size=\"2\">\n";
echo "$mess[34] <b>$fic</b> $mess[74] <b>";
if($dest=="") {echo "/";} else {echo "$dest";}
echo "</b>\n";
echo "<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a><br><br>\n";
echo "</font>\n";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	SUPPRIMER / DELETE
//-----------------------------------------------------------------------------------------------------------------------------------------

case "supprimer";
if(!connecte($id)) {header("Location:index.php3");exit;}
include($hautpage);
echo "<center>\n";
$rep=stripslashes($rep);
$fic=stripslashes($fic);
if(is_dir($racine.slash().$fic)){$mime=$mess[45];}else{$mime=$mess[46];}
echo "<font face=\"$font\" size=\"2\">$mess[47] $mime <b>$fic</b> ?";
echo "<br><br>";
echo "<a href=\"index.php3?action=supprimer_suite&rep=$rep&fic=$fic&id=$id&ordre=$ordre&sens=$sens\">$mess[48]</a>&nbsp;&nbsp;&nbsp;\n";
echo "<a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[49]</a>\n";
echo "</font><br>";
echo "</center>\n";
break;

case "supprimer_suite";
if(!connecte($id)) {header("Location:index.php3");exit;}
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$messtmp="<font face=\"$font\" size=\"2\">";
$a_effacer=$racine.slash().$fic;
if(file_exists($a_effacer))
	{
	if(is_dir($a_effacer)){deldir($a_effacer);$messtmp.="$mess[38] <b>$fic</b> $mess[44].";}
	else {unlink($a_effacer); $messtmp.="$mess[34] <b>$fic</b> $mess[44].";}
	}
else {$messtmp.=$mess[76];}
$messtmp.="<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";
$messtmp.="</font>";
if($verbose=="non") {header("Location:index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens");exit;}
include($hautpage);
echo "<center>\n";
echo "$messtmp";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	RENOMMER / RENAME
//-----------------------------------------------------------------------------------------------------------------------------------------

case "rename";
if(!connecte($id)) {header("Location:index.php3");exit;}
include($hautpage);
echo "<center>\n";
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$nom_fic=basename($fic);
echo "<font face=\"$font\" size=\"2\">";
echo "<form action=\"index.php3\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"rename_suite\">\n";
echo "<input type=\"hidden\" name=\"rep\" value=\"$rep\">\n";
echo "<input type=\"hidden\" name=\"fic\" value=\"$fic\">\n";
echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
echo "<input type=\"hidden\" name=\"ordre\" value=\"$ordre\">\n";
echo "<input type=\"hidden\" name=\"sens\" value=\"$sens\">\n";
echo "$mess[6] <b>$nom_fic</b> $mess[42] ";
echo "<input type=\"text\" name=\"fic_new\" value=\"$nom_fic\">\n";
echo "<input type=\"submit\" value=\"$mess[6]\">\n";
echo "</form>";
echo "<a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";	
echo "</font><br>";
echo "</center>\n";
break;

case "rename_suite";
if(!connecte($id)) {header("Location:index.php3");exit;}
$err="";
$rep=stripslashes($rep);
$fic=stripslashes($fic);
$nom_fic=basename($fic);
$messtmp="<font face=\"$font\" size=\"2\">";
$fic_new=traite_nom_fichier($fic_new);
$old=$racine.slash().$fic;
$new=dirname($old).slash().$fic_new;
if($fic_new=="")
	{
	$messtmp.="$mess[37]"; $err=1;
	}
else if(file_exists($new))
	{
	$messtmp.="<b>$fic_new</b> $mess[43]"; $err=1;
	}
else
	{
	rename($old,$new);
	$messtmp.="<b>$fic</b> $mess[41] <b>$fic_new</b>";
	}
$messtmp.="<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";	
$messtmp.="</font>";
if($verbose=="non" && $err=="") {header("Location:index.php3?rep=$rep&ordre=$ordre&sens=$sens&id=$id");exit;}
include($hautpage);
echo "<center>\n";
echo "$messtmp";
echo "</center>\n";
break;

	
//-----------------------------------------------------------------------------------------------------------------------------------------
//	CREER UN REPERTOIRE / CREATE DIR
//-----------------------------------------------------------------------------------------------------------------------------------------

case "mkdir";
if(!connecte($id)) {header("Location:index.php3");exit;}
$err="";
$messtmp="<font face=\"$font\" size=\"2\">";
$rep=stripslashes($rep);
$nomdir=traite_nom_fichier($nomdir);
if($nomdir=="")
	{
	$messtmp.="$mess[37]"; $err=1;
	}
else if(file_exists($racine.slash().$rep.slash().$nomdir))
	{
	$messtmp.="$mess[40]"; $err=1;
	}
else
	{
	mkdir($racine.slash().$rep.slash().$nomdir,0775);
	$messtmp.="$mess[38] <b>$nomdir</b> $mess[39] <b>";
	if($rep=="") {$messtmp.="/";} else {$messtmp.="$rep";}
	$messtmp.="</b>";
	}
$messtmp.="<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";
$messtmp.="</font>";

if($verbose=="non" && $err=="") {header("Location:index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens");exit;}
include($hautpage);
echo "<center>\n";
echo "$messtmp";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	CREER UN FICHIER / CREATE FILE
//-----------------------------------------------------------------------------------------------------------------------------------------

case "creer_fichier";
if(!connecte($id)) {header("Location:index.php3");exit;}
$err="";
$messtmp="<font face=\"$font\" size=\"2\">";
$rep=stripslashes($rep);
$nomfic=traite_nom_fichier($nomfic);
if($nomfic=="")
	{
	$messtmp.="$mess[37]"; $err=1;
	}
else if(file_exists($racine.slash().$rep.slash().$nomfic))
	{
	$messtmp.="$mess[71]"; $err=1;
	}
else
	{
	$fp=fopen($racine.slash().$rep.slash().$nomfic,"w");
	if(eregi("\.html$",$nomfic)||eregi("\.htm$",$nomfic))
		{
		fputs($fp,"<html>\n<head>\n<title>Document sans titre</title>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n</head>\n<body bgcolor=\"#FFFFFF\" text=\"#000000\">\n\n</body>\n</html>\n");
		}
	fclose($fp);	
	$messtmp.="$mess[34] <b>$nomfic</b> $mess[39] <b>";
	if($rep=="") {$messtmp.="/";} else {$messtmp.="$rep";}
	$messtmp.="</b>";
	}
$messtmp.="<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";
$messtmp.="</font>";

if($verbose=="non" && $err=="") {header("Location:index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens");exit;}
include($hautpage);
echo "<center>\n";
echo "$messtmp";
echo "</center>\n";
break;

	
//-----------------------------------------------------------------------------------------------------------------------------------------
//	UPLOAD
//-----------------------------------------------------------------------------------------------------------------------------------------	

case "upload";
if(!connecte($id)) {header("Location:index.php3");exit;}
$rep=stripslashes($rep);
$messtmp="<font face=\"$font\" size=\"2\">";
if($rep!=""){$rep_source=slash().$rep;}
$destination=$racine.$rep_source;
if ($userfile_size!=0) {$taille_ko=$userfile_size/1024;} else {$taille_ko=0;}
if ($userfile=="none") {$message=$mess[31];}
if ($userfile!="none" && $userfile_size!=0)
	{
	$userfile=stripslashes($userfile);
	$userfile_name=traite_nom_fichier($userfile_name);
	if (!copy($userfile, "$destination/$userfile_name"))
		{
        		$message="<br>$mess[33]<br>$userfile_name";
	        	}
       	else
		{
        		if(eregi("\.txt","$userfile_name")
        		||eregi("\.html","$userfile_name")
        		||eregi("\.htm","$userfile_name")
        		||eregi("\.php","$userfile_name")
        		||eregi("\.php3","$userfile_name")
        		||eregi("\.htaccess","$userfile_name")
        		||eregi("\.htpasswd","$userfile_name")
        		||eregi("\.pl","$userfile_name")
        		||eregi("\.cgi","$userfile_name")
        		||eregi("\.js","$userfile_name")
        		)
        			{
        			enlever_controlM("$destination/$userfile_name");
        			}		
		$message="$mess[34] <b>$userfile_name</b> $mess[35] <b>$rep</b>";
		}
	}
$messtmp.="$message<br>";	
$messtmp.="<br><br><a href=\"index.php3?rep=$rep&id=$id&ordre=$ordre&sens=$sens\">$mess[32]</a>";	
$messtmp.="</font>";
if($verbose=="non") {header("Location:index.php3?rep=$rep&ordre=$ordre&sens=$sens&id=$id&uploaded=yes");exit;} 
include($hautpage);
echo "<center>\n";
echo "$messtmp";
echo "</center>\n";
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	VERIFICATION LOGIN/PASSE
//-----------------------------------------------------------------------------------------------------------------------------------------

case "verif";
$fp=@fopen("prive/users.txt","r");
if($fp)
	{
	while(!feof($fp))
		{
		$buf=fgets($fp,4096);
		if(!ereg("^[#]",$buf))
			{
			$buf=str_replace(CHR(10),"",$buf);
			$buf=str_replace(CHR(13),"",$buf);
			$buf=split(";",$buf);
			$l=$buf[2];$p=$buf[3];
			if($login==$l && $passe==$p && $login!="" && $passe!="") {creer_id($buf[0],$buf[1],$l);$ok=1;}
			}
		}
	}
else 
	{
	include($hautpage);
	echo "<center>\n";
	echo "<font face=\"$font\" size=\"2\">$mess[75]</font>";
	echo "</center>\n";
	include($baspage);
	exit;
	}
if($fp) {fclose($fp);}
if($ok==1) {header("Location:index.php3?id=$id");} 
else {header("Location:index.php3?err=1");}
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	DECONNEXION
//-----------------------------------------------------------------------------------------------------------------------------------------

case "deconnexion";
if(!connecte($id)) {header("Location:index.php3");exit;}
// EFFACE LE LOG DU USER
if(file_exists("logs/$id.php3")) {unlink("logs/$id.php3");}
	
//EFFACE LES LOGS DE PLUS DE 24H
$now=time();
$eff=$now-(24*3600);
$handle=opendir("logs");
while ($fichier = readdir($handle))
	{
	if($fichier!="." && $fichier!="..") 
		{		
		$tmp = filemtime("logs/$fichier");
		if($tmp<$eff) {unlink("logs/$fichier");}
		}
	}
closedir($handle);
header("Location:index.php3");
break;


//-----------------------------------------------------------------------------------------------------------------------------------------
//	DEFAUT
//-----------------------------------------------------------------------------------------------------------------------------------------

default;
include($hautpage);
echo "<center>\n";
if(!connecte($id))
	{
	echo "<a href=\"http://www.webjeff.org/langages/php_scripts.htm\" target=\"_blank\">
	<img src=\"images/logo.gif\" width=\"133\" height=\"77\" border=\"0\"></a><br><br>
	<form method=\"post\" action=\"index.php3\">
	<font face=\"$font\" size=\"2\"";
	if($err==1) {echo "color=\"#FF0033\"";}
	echo "><b>Login</b> 
	    <input type=\"text\" name=\"login\">
	    <br>
	    <b>$mess[78]</b> 
	    <input type=\"password\" name=\"passe\">
	    <input type=\"hidden\" name=\"action\" value=\"verif\">
	    <br><br>
	    <input type=\"submit\" name=\"Submit\" value=\"$mess[77]\">
	    </font> 
	  </form>";
	}  
else 
	{ 
	lister_rep($nom_rep);
	echo "<table width=\"95%\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">
	  <tr bgcolor=\"$tablecolor\"> 
	    <td colspan=\"2\"> 
	      <font face=\"$font\" size=2>$mess[25]<b>";
	if($rep==""){echo "/";}else{echo "$rep";}
	echo "</b></font>
	    </td>
	  </tr>
	  <tr> 
	    <td colspan=\"2\">
	      <form enctype=\"multipart/form-data\" action=\"index.php3\" method=\"post\">
	        &nbsp;&nbsp;
	        <input type=\"file\" name=\"userfile\" size=\"30\">
	        <INPUT TYPE=\"hidden\" name=\"action\" value=\"upload\">
	        <INPUT TYPE=\"hidden\" name=\"id\" value=\"$id\">
	        <input type=\"hidden\" name=\"rep\" value=\"$rep\">
	        <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	        <input type=\"hidden\" name=\"sens\" value=\"$sens\">	        
	        <input type=\"submit\" name=\"Submit\" value=\"$mess[27]\">
	      </form>
	    </td>
	  </tr>
	  <tr bgcolor=\"$tablecolor\"> 
	    <td colspan=\"2\"> 
	      <font face=\"$font\" size=2>$mess[26]<b>";
	if($rep==""){echo "/";}else{echo "$rep";}
	echo "</b></font>
	    </td>
	  </tr>
	  <tr> 
	    <td colspan=\"2\">
	      <form method=\"post\" action=\"index.php3\">
	        &nbsp;&nbsp;<input type=\"text\" name=\"nomdir\" size=\"30\">
	        <input type=\"hidden\" name=\"rep\" value=\"$rep\">
	        <input type=\"hidden\" name=\"action\" value=\"mkdir\">
	        <INPUT TYPE=\"hidden\" name=\"id\" value=\"$id\">
	        <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	        <input type=\"hidden\" name=\"sens\" value=\"$sens\">
	        <input type=\"submit\" name=\"Submit\" value=\"$mess[29]\">
	      </form>
	    </td>
	  </tr>
	  <tr bgcolor=\"$tablecolor\"> 
	    <td colspan=\"2\"> 
	      <font face=\"$font\" size=2>$mess[28]<b>";
	if($rep==""){echo "/";}else{echo "$rep";}
	echo "</b></font>
	    </td>
	  </tr>
	  <tr> 
	    <td colspan=\"2\">
	      <form method=\"post\" action=\"index.php3\">
	        &nbsp;&nbsp;<input type=\"text\" name=\"nomfic\" size=\"30\">
	        <input type=\"hidden\" name=\"rep\" value=\"$rep\">
	        <input type=\"hidden\" name=\"action\" value=\"creer_fichier\">
	        <INPUT TYPE=\"hidden\" name=\"id\" value=\"$id\">
	        <input type=\"hidden\" name=\"ordre\" value=\"$ordre\">
	        <input type=\"hidden\" name=\"sens\" value=\"$sens\">
	        <input type=\"submit\" name=\"Submit\" value=\"$mess[29]\">
	      </form>
	    </td>
	  </tr>	  
	</table>";
	}
echo "</center>\n";
break;
}
echo "<br><br><center><font size=\"1\" face=\"$font\"><a href=\"http://www.webjeff.org/langages/php_scripts.htm\" target=\"_blank\">&copy; WebJeff-Filemanager 1.5</a></font></center>";
include($baspage);
?>
